# some defs
%define _altdocsdir %_defaultdocdir/alt-docs
%define _indexhtmldir %_altdocsdir/indexhtml

Name: indexhtml-office-server
Version: 5.0
Release: alt2

Summary: ALT Linux Server html welcome page
License: distributable
Group: System/Base
BuildArch: noarch
Packager: ALT Docs Team <docs@packages.altlinux.org>

BuildRequires: desktop-file-utils

Provides: indexhtml
Conflicts: indexhtml-sisyphus
Conflicts: indexhtml-Desktop
Conflicts: indexhtml-school_junior
Conflicts: indexhtml-school_lite
Conflicts: indexhtml-school_master
Conflicts: indexhtml-school_terminal
Conflicts: indexhtml-small_business
Conflicts: indexhtml-school-server

Requires: xdg-utils

Source: %name-%version.tar
Source1: indexhtml.desktop
Source2: make_stripped_indexhtml

%description
ALT Linux Server index.html welcome page.

%prep
%setup

%install
mkdir -p %buildroot{%_indexhtmldir/,%_desktopdir/}
cp -r * %buildroot%_indexhtmldir/
ln -s index-ru.html %buildroot%_indexhtmldir/index-en.html
touch %buildroot%_indexhtmldir/index.html
mkdir -p %buildroot%_indexhtmldir/default
touch %buildroot%_indexhtmldir/default/index.html
touch %buildroot%_indexhtmldir/index0.html
desktop-file-install --dir %buildroot%_desktopdir/ %SOURCE1
install -D -m755 %SOURCE2 %buildroot%_sysconfdir/firsttime.d/%name

%post
%_sbindir/indexhtml-update

%files
%ghost %_indexhtmldir/default
%ghost %_indexhtmldir/default/index.html
%ghost %_indexhtmldir/index0.html
%_indexhtmldir/*
%_desktopdir/*
%_sysconfdir/firsttime.d/%name

%changelog
* Fri Mar 27 2009 Artem Zolochevskiy <azol@altlinux.ru> 5.0-alt2
- update Conflicts: list
- use desktop-file-install to install .desktop file

* Sun Mar 22 2009 Artem Zolochevskiy <azol@altlinux.ru> 5.0-alt1
- initial build for Sisyphus
  + based on indexhtml-school-server package

